"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RelativeCode;
(function (RelativeCode) {
    RelativeCode[RelativeCode["X"] = 0] = "X";
    RelativeCode[RelativeCode["Y"] = 1] = "Y";
    RelativeCode[RelativeCode["Z"] = 2] = "Z";
    RelativeCode[RelativeCode["Rx"] = 3] = "Rx";
    RelativeCode[RelativeCode["Ry"] = 4] = "Ry";
    RelativeCode[RelativeCode["Rz"] = 5] = "Rz";
    RelativeCode[RelativeCode["HWheel"] = 6] = "HWheel";
    RelativeCode[RelativeCode["Dial"] = 7] = "Dial";
    RelativeCode[RelativeCode["Wheel"] = 8] = "Wheel";
    RelativeCode[RelativeCode["Misc"] = 9] = "Misc";
    /*
     * 0x0a is reserved and should not be used in input drivers.
     * It was used by HID as REL_MISC+1 and userspace needs to detect if
     * the next REL_* event is correct or is just REL_MISC + n.
     * We define here REL_RESERVED so userspace can rely on it and detect
     * the situation described above.
     */
    RelativeCode[RelativeCode["Reserved"] = 10] = "Reserved";
    RelativeCode[RelativeCode["WheelHiRes"] = 11] = "WheelHiRes";
    RelativeCode[RelativeCode["HWheelHiRes"] = 12] = "HWheelHiRes";
    RelativeCode[RelativeCode["Max"] = 15] = "Max";
})(RelativeCode = exports.RelativeCode || (exports.RelativeCode = {}));
