export declare enum KeyCode {
    Reserved = 0,
    Esc = 1,
    _1 = 2,
    _2 = 3,
    _3 = 4,
    _4 = 5,
    _5 = 6,
    _6 = 7,
    _7 = 8,
    _8 = 9,
    _9 = 10,
    _0 = 11,
    Minus = 12,
    Equal = 13,
    Backspace = 14,
    Tab = 15,
    Q = 16,
    W = 17,
    E = 18,
    R = 19,
    T = 20,
    Y = 21,
    U = 22,
    I = 23,
    O = 24,
    P = 25,
    Leftbrace = 26,
    Rightbrace = 27,
    Enter = 28,
    Leftctrl = 29,
    A = 30,
    S = 31,
    D = 32,
    F = 33,
    G = 34,
    H = 35,
    J = 36,
    K = 37,
    L = 38,
    Semicolon = 39,
    Apostrophe = 40,
    Grave = 41,
    Leftshift = 42,
    Backslash = 43,
    Z = 44,
    X = 45,
    C = 46,
    V = 47,
    B = 48,
    N = 49,
    M = 50,
    Comma = 51,
    Dot = 52,
    Slash = 53,
    Rightshift = 54,
    Kpasterisk = 55,
    Leftalt = 56,
    Space = 57,
    Capslock = 58,
    F1 = 59,
    F2 = 60,
    F3 = 61,
    F4 = 62,
    F5 = 63,
    F6 = 64,
    F7 = 65,
    F8 = 66,
    F9 = 67,
    F10 = 68,
    Numlock = 69,
    Scrolllock = 70,
    Kp7 = 71,
    Kp8 = 72,
    Kp9 = 73,
    Kpminus = 74,
    Kp4 = 75,
    Kp5 = 76,
    Kp6 = 77,
    Kpplus = 78,
    Kp1 = 79,
    Kp2 = 80,
    Kp3 = 81,
    Kp0 = 82,
    Kpdot = 83,
    Zenkakuhankaku = 85,
    _102Nd = 86,
    F11 = 87,
    F12 = 88,
    Ro = 89,
    Katakana = 90,
    Hiragana = 91,
    Henkan = 92,
    Katakanahiragana = 93,
    Muhenkan = 94,
    Kpjpcomma = 95,
    Kpenter = 96,
    Rightctrl = 97,
    Kpslash = 98,
    Sysrq = 99,
    Rightalt = 100,
    Linefeed = 101,
    Home = 102,
    Up = 103,
    Pageup = 104,
    Left = 105,
    Right = 106,
    End = 107,
    Down = 108,
    Pagedown = 109,
    Insert = 110,
    Delete = 111,
    Macro = 112,
    Mute = 113,
    Volumedown = 114,
    Volumeup = 115,
    Power = 116,
    Kpequal = 117,
    Kpplusminus = 118,
    Pause = 119,
    Scale = 120,
    Kpcomma = 121,
    Hangeul = 122,
    Hanguel = 122,
    Hanja = 123,
    Yen = 124,
    Leftmeta = 125,
    Rightmeta = 126,
    Compose = 127,
    Stop = 128,
    Again = 129,
    Props = 130,
    Undo = 131,
    Front = 132,
    Copy = 133,
    Open = 134,
    Paste = 135,
    Find = 136,
    Cut = 137,
    Help = 138,
    Menu = 139,
    Calc = 140,
    Setup = 141,
    Sleep = 142,
    Wakeup = 143,
    File = 144,
    Sendfile = 145,
    Deletefile = 146,
    Xfer = 147,
    Prog1 = 148,
    Prog2 = 149,
    Www = 150,
    Msdos = 151,
    Coffee = 152,
    Screenlock = 152,
    RotateDisplay = 153,
    Direction = 153,
    Cyclewindows = 154,
    Mail = 155,
    Bookmarks = 156,
    Computer = 157,
    Back = 158,
    Forward = 159,
    Closecd = 160,
    Ejectcd = 161,
    Ejectclosecd = 162,
    Nextsong = 163,
    Playpause = 164,
    Previoussong = 165,
    Stopcd = 166,
    Record = 167,
    Rewind = 168,
    Phone = 169,
    Iso = 170,
    Config = 171,
    Homepage = 172,
    Refresh = 173,
    Exit = 174,
    Move = 175,
    Edit = 176,
    Scrollup = 177,
    Scrolldown = 178,
    Kpleftparen = 179,
    Kprightparen = 180,
    New = 181,
    Redo = 182,
    F13 = 183,
    F14 = 184,
    F15 = 185,
    F16 = 186,
    F17 = 187,
    F18 = 188,
    F19 = 189,
    F20 = 190,
    F21 = 191,
    F22 = 192,
    F23 = 193,
    F24 = 194,
    Playcd = 200,
    Pausecd = 201,
    Prog3 = 202,
    Prog4 = 203,
    Dashboard = 204,
    Suspend = 205,
    Close = 206,
    Play = 207,
    Fastforward = 208,
    Bassboost = 209,
    Print = 210,
    Hp = 211,
    Camera = 212,
    Sound = 213,
    Question = 214,
    Email = 215,
    Chat = 216,
    Search = 217,
    Connect = 218,
    Finance = 219,
    Sport = 220,
    Shop = 221,
    Alterase = 222,
    Cancel = 223,
    BrightnessDown = 224,
    BrightnessUp = 225,
    Media = 226,
    Switchvideomode = 227,
    Kbdillumtoggle = 228,
    Kbdillumdown = 229,
    Kbdillumup = 230,
    Send = 231,
    Reply = 232,
    Forwardmail = 233,
    Save = 234,
    Documents = 235,
    Battery = 236,
    Bluetooth = 237,
    Wlan = 238,
    Uwb = 239,
    Unknown = 240,
    VideoNext = 241,
    VideoPrev = 242,
    BrightnessCycle = 243,
    BrightnessAuto = 244,
    BrightnessZero = 244,
    DisplayOff = 245,
    Wwan = 246,
    Wimax = 246,
    Rfkill = 247,
    Micmute = 248,
    Ok = 352,
    Select = 353,
    Goto = 354,
    Clear = 355,
    Power2 = 356,
    Option = 357,
    Info = 358,
    Time = 359,
    Vendor = 360,
    Archive = 361,
    Program = 362,
    Channel = 363,
    Favorites = 364,
    Epg = 365,
    Pvr = 366,
    Mhp = 367,
    Language = 368,
    Title = 369,
    Subtitle = 370,
    Angle = 371,
    FullScreen = 372,
    Zoom = 372,
    Mode = 373,
    Keyboard = 374,
    AspectRatio = 375,
    Screen = 375,
    Pc = 376,
    Tv = 377,
    Tv2 = 378,
    Vcr = 379,
    Vcr2 = 380,
    Sat = 381,
    Sat2 = 382,
    Cd = 383,
    Tape = 384,
    Radio = 385,
    Tuner = 386,
    Player = 387,
    Text = 388,
    Dvd = 389,
    Aux = 390,
    Mp3 = 391,
    Audio = 392,
    Video = 393,
    Directory = 394,
    List = 395,
    Memo = 396,
    Calendar = 397,
    Red = 398,
    Green = 399,
    Yellow = 400,
    Blue = 401,
    Channelup = 402,
    Channeldown = 403,
    First = 404,
    Last = 405,
    Ab = 406,
    Next = 407,
    Restart = 408,
    Slow = 409,
    Shuffle = 410,
    Break = 411,
    Previous = 412,
    Digits = 413,
    Teen = 414,
    Twen = 415,
    Videophone = 416,
    Games = 417,
    Zoomin = 418,
    Zoomout = 419,
    Zoomreset = 420,
    Wordprocessor = 421,
    Editor = 422,
    Spreadsheet = 423,
    Graphicseditor = 424,
    Presentation = 425,
    Database = 426,
    News = 427,
    Voicemail = 428,
    Addressbook = 429,
    Messenger = 430,
    Displaytoggle = 431,
    BrightnessToggle = 431,
    Spellcheck = 432,
    Logoff = 433,
    Dollar = 434,
    Euro = 435,
    Frameback = 436,
    Frameforward = 437,
    ContextMenu = 438,
    MediaRepeat = 439,
    _10Channelsup = 440,
    _10Channelsdown = 441,
    Images = 442,
    DelEol = 448,
    DelEos = 449,
    InsLine = 450,
    DelLine = 451,
    Fn = 464,
    FnEsc = 465,
    FnF1 = 466,
    FnF2 = 467,
    FnF3 = 468,
    FnF4 = 469,
    FnF5 = 470,
    FnF6 = 471,
    FnF7 = 472,
    FnF8 = 473,
    FnF9 = 474,
    FnF10 = 475,
    FnF11 = 476,
    FnF12 = 477,
    Fn1 = 478,
    Fn2 = 479,
    FnD = 480,
    FnE = 481,
    FnF = 482,
    FnS = 483,
    FnB = 484,
    BrlDot1 = 497,
    BrlDot2 = 498,
    BrlDot3 = 499,
    BrlDot4 = 500,
    BrlDot5 = 501,
    BrlDot6 = 502,
    BrlDot7 = 503,
    BrlDot8 = 504,
    BrlDot9 = 505,
    BrlDot10 = 506,
    Numeric0 = 512,
    Numeric1 = 513,
    Numeric2 = 514,
    Numeric3 = 515,
    Numeric4 = 516,
    Numeric5 = 517,
    Numeric6 = 518,
    Numeric7 = 519,
    Numeric8 = 520,
    Numeric9 = 521,
    NumericStar = 522,
    NumericPound = 523,
    NumericA = 524,
    NumericB = 525,
    NumericC = 526,
    NumericD = 527,
    CameraFocus = 528,
    WpsButton = 529,
    TouchpadToggle = 530,
    TouchpadOn = 531,
    TouchpadOff = 532,
    CameraZoomin = 533,
    CameraZoomout = 534,
    CameraUp = 535,
    CameraDown = 536,
    CameraLeft = 537,
    CameraRight = 538,
    AttendantOn = 539,
    AttendantOff = 540,
    AttendantToggle = 541,
    LightsToggle = 542,
    AlsToggle = 560,
    RotateLockToggle = 561,
    Buttonconfig = 576,
    Taskmanager = 577,
    Journal = 578,
    Controlpanel = 579,
    Appselect = 580,
    Screensaver = 581,
    Voicecommand = 582,
    Assistant = 583,
    KbdLayoutNext = 584,
    BrightnessMin = 592,
    BrightnessMax = 593,
    KbdinputassistPrev = 608,
    KbdinputassistNext = 609,
    KbdinputassistPrevgroup = 610,
    KbdinputassistNextgroup = 611,
    KbdinputassistAccept = 612,
    KbdinputassistCancel = 613,
    RightUp = 614,
    RightDown = 615,
    LeftUp = 616,
    LeftDown = 617,
    RootMenu = 618,
    MediaTopMenu = 619,
    Numeric11 = 620,
    Numeric12 = 621,
    AudioDesc = 622,
    _3DMode = 623,
    NextFavorite = 624,
    StopRecord = 625,
    PauseRecord = 626,
    Vod = 627,
    Unmute = 628,
    Fastreverse = 629,
    Slowreverse = 630,
    Data = 631,
    OnscreenKeyboard = 632,
    MinInteresting = 113,
    Max = 767
}
export declare enum ButtonCode {
    Misc = 256,
    _0 = 256,
    _1 = 257,
    _2 = 258,
    _3 = 259,
    _4 = 260,
    _5 = 261,
    _6 = 262,
    _7 = 263,
    _8 = 264,
    _9 = 265,
    Mouse = 272,
    Left = 272,
    Right = 273,
    Middle = 274,
    Side = 275,
    Extra = 276,
    Forward = 277,
    Back = 278,
    Task = 279,
    Joystick = 288,
    Trigger = 288,
    Thumb = 289,
    Thumb2 = 290,
    Top = 291,
    Top2 = 292,
    Pinkie = 293,
    Base = 294,
    Base2 = 295,
    Base3 = 296,
    Base4 = 297,
    Base5 = 298,
    Base6 = 299,
    Dead = 303,
    Gamepad = 304,
    South = 304,
    A = 304,
    East = 305,
    B = 305,
    C = 306,
    North = 307,
    X = 307,
    West = 308,
    Y = 308,
    Z = 309,
    Tl = 310,
    Tr = 311,
    Tl2 = 312,
    Tr2 = 313,
    Select = 314,
    Start = 315,
    Mode = 316,
    Thumbl = 317,
    Thumbr = 318,
    Digi = 320,
    ToolPen = 320,
    ToolRubber = 321,
    ToolBrush = 322,
    ToolPencil = 323,
    ToolAirbrush = 324,
    ToolFinger = 325,
    ToolMouse = 326,
    ToolLens = 327,
    ToolQuinttap = 328,
    Stylus3 = 329,
    Touch = 330,
    Stylus = 331,
    Stylus2 = 332,
    ToolDoubletap = 333,
    ToolTripletap = 334,
    ToolQuadtap = 335,
    Wheel = 336,
    GearDown = 336,
    GearUp = 337,
    DpadUp = 544,
    DpadDown = 545,
    DpadLeft = 546,
    DpadRight = 547,
    TriggerHappy = 704,
    TriggerHappy1 = 704,
    TriggerHappy2 = 705,
    TriggerHappy3 = 706,
    TriggerHappy4 = 707,
    TriggerHappy5 = 708,
    TriggerHappy6 = 709,
    TriggerHappy7 = 710,
    TriggerHappy8 = 711,
    TriggerHappy9 = 712,
    TriggerHappy10 = 713,
    TriggerHappy11 = 714,
    TriggerHappy12 = 715,
    TriggerHappy13 = 716,
    TriggerHappy14 = 717,
    TriggerHappy15 = 718,
    TriggerHappy16 = 719,
    TriggerHappy17 = 720,
    TriggerHappy18 = 721,
    TriggerHappy19 = 722,
    TriggerHappy20 = 723,
    TriggerHappy21 = 724,
    TriggerHappy22 = 725,
    TriggerHappy23 = 726,
    TriggerHappy24 = 727,
    TriggerHappy25 = 728,
    TriggerHappy26 = 729,
    TriggerHappy27 = 730,
    TriggerHappy28 = 731,
    TriggerHappy29 = 732,
    TriggerHappy30 = 733,
    TriggerHappy31 = 734,
    TriggerHappy32 = 735,
    TriggerHappy33 = 736,
    TriggerHappy34 = 737,
    TriggerHappy35 = 738,
    TriggerHappy36 = 739,
    TriggerHappy37 = 740,
    TriggerHappy38 = 741,
    TriggerHappy39 = 742,
    TriggerHappy40 = 743,
    Max = 767
}
