import { InputEvent } from './input-event';
export declare class InputEventMapper {
    static for(is64Bit: boolean): InputEventMapper;
    static for64bit(): InputEventMapper;
    static for32bit(): InputEventMapper;
    private readonly longSize;
    private readonly getLong;
    private readonly setLong;
    private constructor();
    readonly eventSize: number;
    fromBuffer(buffer: ArrayBuffer): InputEvent;
    toBuffer(event: InputEvent, buffer?: ArrayBuffer): ArrayBuffer;
    fromIterable(iterable: Iterable<ArrayBuffer>): Iterable<InputEvent>;
    toIterable(iterable: Iterable<InputEvent>): Iterable<ArrayBuffer>;
    fromAsyncIterable(iterable: AsyncIterable<ArrayBuffer>): AsyncIterable<InputEvent>;
    toAsyncIterable(iterable: AsyncIterable<InputEvent>): AsyncIterable<ArrayBuffer>;
}
