"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SwitchCode;
(function (SwitchCode) {
    SwitchCode[SwitchCode["LID"] = 0] = "LID"; /* set = lid shut */
    SwitchCode[SwitchCode["TABLET_MODE"] = 1] = "TABLET_MODE"; /* set = tablet mode */
    SwitchCode[SwitchCode["HEADPHONE_INSERT"] = 2] = "HEADPHONE_INSERT"; /* set = inserted */
    SwitchCode[SwitchCode["RFKILL_ALL"] = 3] = "RFKILL_ALL"; /* rfkill master switch, type "any" set = radio enabled */
    SwitchCode[SwitchCode["RADIO"] = 3] = "RADIO"; /* deprecated */
    SwitchCode[SwitchCode["MICROPHONE_INSERT"] = 4] = "MICROPHONE_INSERT"; /* set = inserted */
    SwitchCode[SwitchCode["DOCK"] = 5] = "DOCK"; /* set = plugged into dock */
    SwitchCode[SwitchCode["LINEOUT_INSERT"] = 6] = "LINEOUT_INSERT"; /* set = inserted */
    SwitchCode[SwitchCode["JACK_PHYSICAL_INSERT"] = 7] = "JACK_PHYSICAL_INSERT"; /* set = mechanical switch set */
    SwitchCode[SwitchCode["VIDEOOUT_INSERT"] = 8] = "VIDEOOUT_INSERT"; /* set = inserted */
    SwitchCode[SwitchCode["CAMERA_LENS_COVER"] = 9] = "CAMERA_LENS_COVER"; /* set = lens covered */
    SwitchCode[SwitchCode["KEYPAD_SLIDE"] = 10] = "KEYPAD_SLIDE"; /* set = keypad slide out */
    SwitchCode[SwitchCode["FRONT_PROXIMITY"] = 11] = "FRONT_PROXIMITY"; /* set = front proximity sensor active */
    SwitchCode[SwitchCode["ROTATE_LOCK"] = 12] = "ROTATE_LOCK"; /* set = rotate locked/disabled */
    SwitchCode[SwitchCode["LINEIN_INSERT"] = 13] = "LINEIN_INSERT"; /* set = inserted */
    SwitchCode[SwitchCode["MUTE_DEVICE"] = 14] = "MUTE_DEVICE"; /* set = device disabled */
    SwitchCode[SwitchCode["PEN_INSERTED"] = 15] = "PEN_INSERTED"; /* set = pen inserted */
    SwitchCode[SwitchCode["MAX"] = 15] = "MAX";
})(SwitchCode = exports.SwitchCode || (exports.SwitchCode = {}));
